# -*-makefile-*-
#
# Copyright (C) 2013 by <Markus.Niebel@tqs.de>
#
# See CREDITS for details about who has contributed to this project.
#
# For further information about the PTXdist project and license conditions
# see the README file.
#

#
# We provide this package
#
PACKAGES-$(PTXCONF_STRESSAPPTEST) += stressapptest

#
# Paths and names
#
STRESSAPPTEST_VERSION		:= 1.0.6
STRESSAPPTEST_MD5		:= aa42336ee456d696bb073b891fcd0771
STRESSAPPTEST			:= stressapptest-$(STRESSAPPTEST_VERSION)_autoconf
STRESSAPPTEST_SUFFIX		:= tar.gz
STRESSAPPTEST_URL		:= http://stressapptest.googlecode.com/files/$(STRESSAPPTEST).$(STRESSAPPTEST_SUFFIX)
STRESSAPPTEST_DIR		:= $(BUILDDIR)/$(STRESSAPPTEST)
STRESSAPPTEST_BUILD_OOT		:= NO
STRESSAPPTEST_SOURCE		:= $(SRCDIR)/$(STRESSAPPTEST).$(STRESSAPPTEST_SUFFIX)
STRESSAPPTEST_LICENSE		:= Apache 2.0

# STRESSAPPTEST_URL	:= $(call ptx/mirror, SF, lmbench/$(LMBENCH).$(LMBENCH_SUFFIX))

# ----------------------------------------------------------------------------
# Extract
# ----------------------------------------------------------------------------


$(STATEDIR)/stressapptest.extract:
	@$(call targetinfo)
	@$(call clean, $(STRESSAPPTEST_DIR))
	@$(call extract, STRESSAPPTEST)
	cd $(STRESSAPPTEST_DIR) && [ -f configure ] || sh autogen.sh
	@$(call patchin, STRESSAPPTEST)
	@$(call touch)

# ----------------------------------------------------------------------------
# Prepare
# ----------------------------------------------------------------------------

#STRESSAPPTEST_CONF_ENV	:= $(CROSS_ENV)

#
# autoconf
#
STRESSAPPTEST_CONF_TOOL	:= autoconf
STRESSAPPTEST_CONF_OPT	:= $(CROSS_AUTOCONF_USR)

#$(STATEDIR)/stressapptest.prepare:
#	@$(call targetinfo)
#	@$(call world/prepare, STRESSAPPTEST)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Compile
# ----------------------------------------------------------------------------

#$(STATEDIR)/stressapptest.compile:
#	@$(call targetinfo)
#	@$(call world/compile, STRESSAPPTEST)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Install
# ----------------------------------------------------------------------------

#$(STATEDIR)/stressapptest.install:
#	@$(call targetinfo)
#	@$(call world/install, STRESSAPPTEST)
#	@$(call touch)

# ----------------------------------------------------------------------------
# Target-Install
# ----------------------------------------------------------------------------

$(STATEDIR)/stressapptest.targetinstall:
	@$(call targetinfo)

	@$(call install_init, stressapptest)
	@$(call install_fixup, stressapptest, PRIORITY, optional)
	@$(call install_fixup, stressapptest, SECTION, base)
	@$(call install_fixup, stressapptest, AUTHOR, "<Markus.Niebel@tqs.de>")
	@$(call install_fixup, stressapptest, DESCRIPTION, missing)

#	#
#	# example code:; copy all libraries, links and binaries
#	#

	@for i in $(shell cd $(STRESSAPPTEST_PKGDIR) && find bin sbin usr/bin usr/sbin -type f); do \
		$(call install_copy, stressapptest, 0, 0, 0755, -, /$$i); \
	done
	@for i in $(shell cd $(STRESSAPPTEST_PKGDIR) && find lib usr/lib -name "*.so*"); do \
		$(call install_copy, stressapptest, 0, 0, 0644, -, /$$i); \
	done
	@links="$(shell cd $(STRESSAPPTEST_PKGDIR) && find lib usr/lib -type l)"; \
	if [ -n "$$links" ]; then \
		for i in $$links; do \
			from="`readlink $(STRESSAPPTEST_PKGDIR)/$$i`"; \
			to="/$$i"; \
			$(call install_link, stressapptest, $$from, $$to); \
		done; \
	fi

#	#
#	# FIXME: add all necessary things here
#	#

	@$(call install_finish, stressapptest)

	@$(call touch)

# ----------------------------------------------------------------------------
# Clean
# ----------------------------------------------------------------------------

#$(STATEDIR)/stressapptest.clean:
#	@$(call targetinfo)
#	@$(call clean_pkg, STRESSAPPTEST)

# vim: syntax=make
